<mat-sidenav-container class="ri" (backdropClick)="closeSidenav('backdrop')" >
  <mat-sidenav class="ri" #sidenav mode="over" (keydown.escape)="closeSidenav('escape')" [(opened)]="opened" disableClose>
    <hci-app-header #sidenavHeader></hci-app-header>
    <mat-nav-list>
      <span *ngIf="selectedOrg" matSubheader>{{selectedOrg.heaObject.display_name}}</span>
      <mat-list-item *ngIf="selectedOrg" class="ri" (click)="onRouteOrganizationScreens('home')">
        <i class="bi bi-house fa-lg me-2"></i>Home
      </mat-list-item>
      <mat-list-item *ngIf="selectedOrg" class="ri" (click)="onRouteOrganizationScreens('object-explorer')">
        <i class="bi bi-explicit fa-lg me-2"></i>Object Explorer
      </mat-list-item>
      <mat-divider></mat-divider>
      <span matSubheader>Collections</span>
      <mat-list-item *ngFor="let systemMenuItem of systemMenuItems" class="ri" (click)="onRouteCollectionSidenav(systemMenuItem)">
      <span class="me-2" [innerHTML]="getIconForLink(systemMenuItem)"></span>
      <span>{{systemMenuItem.prompt}}</span>
    </mat-list-item>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content class="d-flex flex-column">
    <hci-notification-popup></hci-notification-popup>
    <hci-app-header #header></hci-app-header>
    <main class="outlet-row overflow-auto full-width main-display-area">
      <router-outlet></router-outlet>
    </main>
  </mat-sidenav-content>
</mat-sidenav-container>


<ng-template #orgDropDownRef>
  <div ngbDropdown #orgSearchDropDown="ngbDropdown" class="study-search" placement="bottom-left"
       style="position: relative;" triggers="manual">
    <button riInitialFocus class="btn btn-primary" id="orgDD" ngbDropdownToggle [disabled]="isLoadingData">
      <div>{{selectedOrgDisplay}}</div>
    </button>
    <div ngbDropdownMenu aria-labelledby="orgDD">
      <cb-custom-search propertyPath="heaObject" [allowNone]="false" [autoSelect]="true" [dropDown]="orgSearchDropDown" [inputData]="orgDataList"></cb-custom-search>
    </div>
  </div>
</ng-template>

<ng-template #orgPropertiesRef>
  <div *ngIf='selectedOrg' class="me-auto ms-auto nav-link cursor" (click)="onClickOrgProperties()" title="Organization Properties">
    <span>
      <i class="bi bi-info-circle-fill fa-lg"></i>
    </span>
  </div>
</ng-template>

<ng-template #versionRef>
  <div class="me-auto ms-auto" title="Version {{VERSION}}">
    <span style="font-size: small; white-space: nowrap;">{{VERSION}}</span>
  </div>
</ng-template>

<ng-template #notificationRef>
  <div class="ms-auto me-auto nav-link" (click)="onClickNotification()" title="Notifications">
    <span>
      <i class="bi bi-bell-fill fa-lg"></i>
    </span>
  </div>
</ng-template>

<ng-template #helpRef>
  <div class="me-auto ms-auto nav-link" (click)="showHelp()" title="Help">
    <span>
      <i class="bi bi-question-circle-fill fa-lg"></i>
    </span>
  </div>
</ng-template>

<ng-template #versionDescriptionRef>
  <div class="me-auto ms-auto">
    <span class="version-description padded-left-right" [style]="'font-size: small; white-space: nowrap; ' + versionDescriptionCSS">
      {{ versionDescription }}
    </span>
  </div>
</ng-template>

<ng-template #userTemplate>
  <div class="flex-column">
    <div class="me-auto ms-auto" style="text-align: center;">{{(this.auth.loggedIn && this.loginUser) ? this.loginUser : ""}}</div>
    <hr style="margin-top: 2px; margin-bottom: 8px;">
  </div>
</ng-template>

